//**************************************************************************
//
// Copyright (c) 1997-1999.
//      Richard D. Irwin, Inc.
//
// This software may not be distributed further without permission from
// Richard D. Irwin, Inc.
//
// This software is distributed WITHOUT ANY WARRANTY. No claims are made
// as to its functionality or purpose.
//
// Authors: James P. Cohoon and Jack W. Davidson
// Date: 7/1/98
// $Revision: 1.3 $
// $Name: E2 $
//
//**************************************************************************

#include "direction.h"

Direction Clockwise(const Direction &d) {
	switch (d) {
		case North:
			return East;
		case East:
			return South;
		case South:
			return West;
		default: // case West
			return North;
	}
}

Direction CounterClockwise(const Direction &d) {
	switch (d) {
		case North:
			return West;
		case East:
			return North;
		case South:
			return East;
		default: // case West:
			return South;
	}
}
